#include <iostream>

using namespace std;

int a[20000];

void sorting(int p,int k){
    if (p<=k)
        return;
    int i,j=p;
    for (i=p;i<k;i++)
    {
        if (a[i]<=a[k])
        {
            a[i]+=a[j];
            a[j]=a[i]-a[j];
            a[i]-=a[j];
            j++;
        }
    }
    a[k]+=a[j];
    a[j]=a[k]-a[j];
    a[k]-=a[j];
    sorting(p,j-1);
    sorting(j+1,k);
}

int main()
{
    int n,q,i,j;
    cin >> n >> q;
    int b,g[q];
    for (i=0;i<n;i++)
    {
        cin >> a[i];
    }
    sorting(0,n-1);
    for (i=0;i<q;i++)
    {
        cin >> b;
        j=n/2;
        if (b>a[j])
        {
            g[i]=-1;
            while (a[j]<b && j<n)
            {
                j++;
                g[i]+=2;
            }
        }
        else
        {
            g[i]=0;
            while (a[j]>b && j>=0)
            {
                j--;
                g[i]+=2;
            }
        }
    }
    for (i=0;i<q;i++)
    {
       cout << g[i] << endl;
    }
    return 0;
}